CVE-2019-13038

NameCVE-2019-13038
Descriptionmod_auth_mellon through 0.14.2 has an Open Redirect via the login?ReturnTo= substring, as demonstrated by omitting the // after http: in the target URL.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs931265

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libapache2-mod-auth-mellon (PTS)jessie0.9.1-1vulnerable
stretch (security), stretch0.12.0-2+deb9u1vulnerable
bullseye, sid, buster0.14.2-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libapache2-mod-auth-mellonsource(unstable)(unfixed)medium931265

Notes

[jessie] - libapache2-mod-auth-mellon <ignored> (Open Redirect protection not implemented yet)
https://github.com/Uninett/mod_auth_mellon/issues/35#issuecomment-503974885

Search for package or bug name: Reporting problems